List skills
curl --request GET \
--url https://www.ruddr.io/api/workspace/skills \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/skills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "a7f3c1d9-4e82-4b65-90a8-d5c2e0b73f16",
"name": "PowerBI",
"isActive": true,
"createdAt": "2025-11-17T20:32:38.404Z"
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}Skills
List skills
GET
/
skills
List skills
A competency that can be assigned to members and placeholders and used to filter reports.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.
A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.
The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.
Filter by name when it exactly matches the provided keyword.